Module tdlight.api
Package it.tdlight.jni

# Class TdApi.MaskPosition

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.MaskPosition

Enclosing class:
  TdApi

public static final class TdApi.MaskPosition extends TdApi.Object
Position on a photo where a mask is placed.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`TdApi.MaskPoint`
`point`
Part of the face, relative to which the mask is placed.
`double`
`scale`
Mask scaling coefficient.
`double`
`xShift`
Shift by X-axis measured in widths of the mask scaled to the face size, from left to right.
`double`
`yShift`
Shift by Y-axis measured in heights of the mask scaled to the face size, from top to bottom.

## Constructor Summary

Constructors
Constructor
Description
`MaskPosition()`
Position on a photo where a mask is placed.
`MaskPosition(TdApi.MaskPoint point, double xShift, double yShift, double scale)`
Position on a photo where a mask is placed.
`MaskPosition(DataInput input)`
Position on a photo where a mask is placed.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### point

public TdApi.MaskPoint point
Part of the face, relative to which the mask is placed.

### xShift

public double xShift
Shift by X-axis measured in widths of the mask scaled to the face size, from left to right. (For example, -1.0 will place the mask just to the left of the default mask position.)

### yShift

public double yShift
Shift by Y-axis measured in heights of the mask scaled to the face size, from top to bottom. (For example, 1.0 will place the mask just below the default mask position.)

### scale

public double scale
Mask scaling coefficient. (For example, 2.0 means a doubled size.)

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### MaskPosition

public MaskPosition()
Position on a photo where a mask is placed.

### MaskPosition

public MaskPosition(TdApi.MaskPoint point, double xShift, double yShift, double scale)
Position on a photo where a mask is placed.

Parameters:
  `point` - Part of the face, relative to which the mask is placed.
  `xShift` - Shift by X-axis measured in widths of the mask scaled to the face size, from left to right. (For example, -1.0 will place the mask just to the left of the default mask position.)
  `yShift` - Shift by Y-axis measured in heights of the mask scaled to the face size, from top to bottom. (For example, 1.0 will place the mask just below the default mask position.)
  `scale` - Mask scaling coefficient. (For example, 2.0 means a doubled size.)

### MaskPosition

public MaskPosition(DataInput input) throws IOException
Position on a photo where a mask is placed.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`